#include <cmath>
#include <complex>
#include <boost/python.hpp>

double calcz(std::complex<double> z, std::complex<double> c, double zabsmax)
{
  double ratio=0.0;
  double nit = 0.0;
  double nitmax = 255.0;
  while (abs(z) < zabsmax && nit < nitmax)
    {
      z = z*z + c;
      nit += 1.0;
      ratio = nit / nitmax;
    }
  return ratio;
}    
        
BOOST_PYTHON_MODULE(mandelbrot_ext)
{
    using namespace boost::python;
    def("calcz", calcz);
}
